## gemrb 0.8.0maemo2

=== gemrb/core/CMakeLists.txt ===
ADD_DEFINITIONS(-DGEM_BUILD_DLL)

IF (ANDROID)
	set (PLATFORM_SRC System/Logger/Android.cpp)
ELSEIF (WIN32)
	set (PLATFORM_SRC System/Logger/Win32Console.cpp)
ELSE ()
	set (PLATFORM_SRC)
ENDIF ()

FILE(GLOB gemrb_core_LIB_SRCS
	ActorMgr.cpp
	Ambient.cpp
	AmbientMgr.cpp
	Animation.cpp
	AnimationFactory.cpp
	AnimationMgr.cpp
	ArchiveImporter.cpp
	Audio.cpp
	Bitmap.cpp
	Cache.cpp
	Calendar.cpp
	Callback.cpp
	CharAnimations.cpp
	Compressor.cpp
	ControlAnimation.cpp
	Core.cpp
	DataFileMgr.cpp
	Dialog.cpp
	DialogHandler.cpp
	DialogMgr.cpp
	DisplayMessage.cpp
	EffectMgr.cpp
	EffectQueue.cpp
	Factory.cpp
	FactoryObject.cpp
	FileCache.cpp
	Font.cpp
	FontManager.cpp
	Game.cpp
	GameData.cpp
	GlobalTimer.cpp
	Image.cpp
	ImageFactory.cpp
	ImageMgr.cpp
	ImageWriter.cpp
	IndexedArchive.cpp
	IniSpawn.cpp
	Interface.cpp
	InterfaceConfig.cpp
	Inventory.cpp
	Item.cpp
	ItemMgr.cpp
	KeyMap.cpp
	LRUCache.cpp
	Map.cpp
	MapMgr.cpp
	MoviePlayer.cpp
	MusicMgr.cpp
	Palette.cpp
	PalettedImageMgr.cpp
	Particles.cpp
	Plugin.cpp
	PluginLoader.cpp
	PluginMgr.cpp
	Polygon.cpp
	Projectile.cpp
	ProjectileMgr.cpp
	ProjectileServer.cpp
	Region.cpp
	Resource.cpp
	ResourceDesc.cpp
	ResourceManager.cpp
	ResourceSource.cpp
	SaveGameIterator.cpp
	SaveGameMgr.cpp
	ScriptEngine.cpp
	ScriptedAnimation.cpp
	SoundMgr.cpp
	Spell.cpp
	SpellMgr.cpp
	Spellbook.cpp
	Sprite2D.cpp
	SpriteCover.cpp
	Store.cpp
	StoreMgr.cpp
	StringMgr.cpp
	SymbolMgr.cpp
	TableMgr.cpp
	Tile.cpp
	TileMap.cpp
	TileMapMgr.cpp
	TileOverlay.cpp
	TileSetMgr.cpp
	Variables.cpp
	Video.cpp
	WindowMgr.cpp
	WorldMap.cpp
	WorldMapMgr.cpp
	GameScript/Actions.cpp
	GameScript/GSUtils.cpp
	GameScript/GameScript.cpp
	GameScript/Matching.cpp
	GameScript/Objects.cpp
	GameScript/Triggers.cpp
	GUI/Button.cpp
	GUI/Console.cpp
	GUI/Control.cpp
	GUI/EventMgr.cpp
	GUI/GameControl.cpp
	GUI/Label.cpp
	GUI/MapControl.cpp
	GUI/Progressbar.cpp
	GUI/ScrollBar.cpp
	GUI/Slider.cpp
	GUI/TextArea.cpp
	GUI/TextEdit.cpp
	GUI/Window.cpp
	GUI/WorldMapControl.cpp
	Scriptable/Actor.cpp
	Scriptable/CombatInfo.cpp
	Scriptable/Container.cpp
	Scriptable/Door.cpp
	Scriptable/InfoPoint.cpp
	Scriptable/Scriptable.cpp
	Scriptable/PCStatStruct.cpp
	System/DataStream.cpp
	System/FileStream.cpp
	System/MemoryStream.cpp
	System/Logger.cpp
	System/Logger/File.cpp
	System/Logger/MessageWindowLogger.cpp
	System/Logger/Stdio.cpp
	System/Logging.cpp
	System/SlicedStream.cpp
	System/String.cpp
	System/StringBuffer.cpp
	System/VFS.cpp
	${PLATFORM_SRC}
	)

if (STATIC_LINK)
	ADD_LIBRARY(gemrb_core STATIC ${gemrb_core_LIB_SRCS})
else (STATIC_LINK)
	ADD_LIBRARY(gemrb_core SHARED ${gemrb_core_LIB_SRCS})
	TARGET_LINK_LIBRARIES(gemrb_core ${CMAKE_DL_LIBS} ${COREFOUNDATION_LIBRARY})
	IF(WIN32)
	  INSTALL(TARGETS gemrb_core RUNTIME DESTINATION ${LIB_DIR})
	ELSE(WIN32)
	  INSTALL(TARGETS gemrb_core LIBRARY DESTINATION ${LIB_DIR})
	ENDIF(WIN32)
endif (STATIC_LINK)

SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
	COMPILE_DEFINITIONS
	"PLUGINDIR=\"${PLUGIN_DIR}\";DATADIR=\"${DATA_DIR}\";SYSCONFDIR=\"${SYSCONF_DIR}\""
	)

IF (APPLE)
	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
	INSTALL_NAME_DIR ${LIB_DIR})
ENDIF (APPLE)

=== debian/changelog ===
gemrb (0.8.0maemo2) unstable; urgency=low
  Fixed missing hildon desktop shortcut
 -- Nerdknight <nerdknight@gmail.com>  Wed, 9 May 2013 08:55:00 -0300

=== debian/control ===
Source: gemrb
Section: user/games
Priority: extra
Maintainer: Nerdknight <nerdknight@gmail.com>
Build-Depends: debhelper (>= 5), cmake, libopenal-dev, python-support, python2.5-dev, libpng12-dev, libvorbis-dev, libsdl1.2-dev, zlib1g-dev,libsdl-ttf2.0-dev
Standards-Version: 3.7.2
Homepage: http://gemrb.sourceforge.net

Package: gemrb
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  GemRB is an open-source implementation of Bioware's Infinity Engine.
 GemRB (Game engine made with preRendered Background) is a portable 
 open-source implementation of Bioware's Infinity Engine.
 .
 You need to own the original games in order to play them.
 .
 Version 0.8.0 changes:
 New features
    -iwd2: Chapter 0+1 completable, full spellbook and ECL support
    -multibyte font support (chinese, korean, japanese)
    -favourite weapon/spell tracking, bg1 dreams
    -most gemrb overrides were moved and are now moddable via game override
    -initial bundled gemrb demo stubs
 Improved features
    -random encounters and spawns (properly difficult)
    -iwd2 combat, stats, spells, skills, effects and actions
    -animations, speech, input
    -looting, worldmap, hotkeys (work everywhere), fatigue
    -bugfixes
XB-Maemo-Display-Name: GemRB
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=1153973
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAEdgAABHYBvT2qxwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAYISURBVHja7Zt7UFRVHMeBFZCHsLDBiqDM
 iiGLiBQpCEyCOMVDcQER8sEoVkzAENMQYsIoFaZlDsxgQgyaKWM2zTRN03um
 VLRySkfTprQxUAsNexhigoG/fme9S8ty755zl717BfY38/mDmd17ft/P7t57
 7jkXBwBwkAOsIsRbrvEH+5ApfD5yB1GOOwFYy5B+BMadAKw05DYXfnwJwEpE
 bhmFHz8CsGKRGybhx4cArDnIXzzhx74ArDCkSyD82BaApUF+MRN+zAvYTAlv
 F2AXYBdgF2AXYBdgF2AXYBdgFzDaBWC5IpFICrIOqUa+ZhCwG2kUQR1SgaxE
 kpCpsgnAckOykFbkb4awUnGKEz7LJgKw1EgT0iNjaCGOI3GSCOC+5pVI9z0Y
 3BTyrQyymgCsBOTnURDcGPIN1Y1YAFYe0jvKwhsYQMosFoC1gdvAgFFOPeIo
 SgDWtjEQ3JjnmAVg5Y6x8IafQwpVALmeWniJIwMcQZqRGuQj2ns0gdUwI7CR
 Gc2UHRCgKgafSSngPCHAEgl/IiGCArAmIedFHvQnbqd3stipcFZqOzykPQ8J
 kSAajd9JUHu+C27OiWIlfGJOwPMiDkTmA88iLpbeC6zMvA456V0wV9suKnxc
 xE3QqPpgui/oCZj0OSgc/cRISBgmAMtXxCSHzAm0I70ZIgLWLgdYltYJ87SX
 mQVEhpwYDG9gmrIDXBRRrAIO8Ql4ifHNJxB/a9wNGgQQdI9chJjwq0wCQgO/
 GCaAoPHpAWeFllVC0qAALD/GE98VZIq1boeNBRAyki9A7KzfqQKm+53lFUAI
 8j4Njo4TWQQ0GwsoYnjDv0i8NdcDTAUQ0hf+iBKu8wbXLQIoXdcLMWH9ggII
 Kvd6FgGdZHJkaPZDhjc0WXtBhE8AIeXhMzA/ogcWxQAU4N816wH24Ohv779L
 cwNA9P3CAjS+t0HhpGaREE0aded5cMGUXrGLDyMRQFhfdgUO7vs/tCmNdQBR
 GmEJSrcNLAI2kUYzGF64R4olMXMCWl4TDm+g4VWA2cH8AqZ6nwMy/af08BZp
 dDuDAJ0tBTy5Csx++sbUbwOYFXQ3dLDPJZimOgwzg47jeaQHXJwDqZdD0ugB
 hq+/py0FVD7NFt5AeXEnRM0YPpny8oinCfjBgbNg7kUnpVoVFhKw/QVxAorX
 8F8u/ZQraALIozsO5ygv+sBCAZU0AblLfuUVsHuXOAFLF/ILmKwqpAkgJ3/q
 9LfFQgFraQLSk78cFv6p1XdEhX+jSXjCpPJaShNw0YHhBFhnoYBU2rETYw/o
 Q6/O/gPydMegYMVRqCq/BntfZxfw4kZhAZ7uc1lWkSUT8ADt2NFRpVBa+D3U
 Vg3AlmoYZOsmgDeb2QQUruYPPz+iG6fELrRs70kpwJ92bF+fEKitvjMkvIFt
 KGFfC11A+gJ+AWHB77BMhHZKJoCT8B3t+AWrPuMVoJdQA7B/N//v/hW8UlSU
 DEB02Fe8ApSeySwCsqQWsIV2fG1ohqAAwssooWXXTdi5A2BzJUBJwdCTZn52
 H0r4Zujt8tS9LOH7uBUwSQXEsdyb52a2mpWge7RNcMqsP4lm/YMSTunDx4R3
 wQSFikXAp1yPkgpwQq7SxnB19YLykguCApYvuWRWAGGF7gZKOMsy+TFQLLkA
 boBylobU/hFQUdoxLPwzRZep4QlrcvohcuZG1vC/IR62EuDGLT5QG/Nw94Mn
 8g8NEZCX2UYNn7O4A9T3JYhZFC0z6k9aAdwgxazNKZycIT6mbPAnoUs5ajb8
 gthWvOvzFhP+MtnptrUAF+SMmPV7R0cn/RVi/oP1kJp0WH/fkJ99C3LS2yEt
 6QjMCa8CpZfWks2Rx0x6k14AN1CozE+SEBp4+rKNAG6wTBnDH0OcZRXADVgj
 Q/gOJECgH9sK4AYt5TZTbRH+W9N9S9kFcAMvtsGDVu8brvf3nABu8Nnclrq1
 g3dzK1IKhh7kE2DURA7SbqWHIMjzCWoRY8svgGtkIvI48rHJv9eynuTI8n6E
 BePeGwJMmvJB1nCfJtm2O41c4xYxydZ8G3IQqUXmjWSs/wDHL4xdfg+anQAA
 AABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -rpath,/opt/maemo/usr/lib
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	sh configureCMake.sh -DPREFIX=/usr -DLIB_DIR=/usr/lib -DDISABLE_WERROR=true -DCMAKE_SKIP_RPATH=true -DCMAKE_BUILD_TYPE=Debug 
build: 

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	#-$(MAKE) -C debian/build distclean
	rm -rf debian/build
	rm -rf debian/gemrb
	rm -rf config.sub
	rm -rf config.guess
	rm -rf debian/gemrb.debhelper.log
	rm -rf debian/files
	rm -rf debian/gemrb.substvars
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: config.status
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/gemrb.
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/gemrb install
	cp $(CURDIR)/debian/build/gemrb/gemrb $(CURDIR)/debian/gemrb/usr/bin
	dh_install --sourcedir=$(CURDIR)/debian/gemrb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gemrb 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)
if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 NEW)
endif(COMMAND cmake_policy)

# prevent in-source builds
IF(NOT INSOURCEBUILD AND (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR}))
	MESSAGE(FATAL_ERROR "
		CMake generation for this project is not allowed within the source directory!
		Remove the CMake cache files and try again from another folder, e.g.:
		  rm -r CMakeCache.txt CMakeFiles/
		  mkdir build
		  cd build
		  cmake ..
		If you really want an in-source build, pass -DINSOURCEBUILD=1"
	)
ENDIF()

# If the user specifies -DCMAKE_BUILD_TYPE on the command line, take their definition
# and dump it in the cache along with proper documentation, otherwise set CMAKE_BUILD_TYPE
# to Release prior to calling PROJECT()
IF(DEFINED CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ELSE(DEFINED CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel.")
ENDIF(DEFINED CMAKE_BUILD_TYPE)

PROJECT(gemrb)
# try to extract the version from the source
execute_process(
	COMMAND sed -n "s/\#define VERSION_GEMRB .\\([^\"]*\\).$/\\1/p" ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h
	OUTPUT_VARIABLE GEMRB_VERSION
	RESULT_VARIABLE RC
	OUTPUT_STRIP_TRAILING_WHITESPACE
)
if(${RC} GREATER 0) # lookup failed
	set(GEMRB_VERSION "unknown")
endif(${RC} GREATER 0)
message("Detected version: ${GEMRB_VERSION}")

IF(PREFIX)
	SET(PREFIX CACHE PATH "Abbreviation for CMAKE_INSTALL_PREFIX.")
	SET(CMAKE_INSTALL_PREFIX ${PREFIX})
ENDIF(PREFIX)

if (NOT LAYOUT)
	if (WIN32)
		set(LAYOUT "home")
	elseif (APPLE)
		set(LAYOUT "bundle")
		# favor mac frameworks over unix libraries
		set(CMAKE_FIND_FRAMEWORK FIRST)
	else (APPLE)
		set(LAYOUT "fhs")
	endif (WIN32)
endif (NOT LAYOUT)

SET(LAYOUT "${LAYOUT}" CACHE STRING "Directory layout.")

# macro that sets a default (path) if one wasn't specified
MACRO(SET_PATH variable default)
	IF(NOT ${variable})
		SET(${variable} ${default})
	ENDIF(NOT ${variable})
ENDMACRO(SET_PATH)

if (${LAYOUT} MATCHES "home")
	SET_PATH( PLUGIN_DIR ${CMAKE_INSTALL_PREFIX}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/doc )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX} )
	SET_PATH( EXAMPLE_CONF_DIR ${CMAKE_INSTALL_PREFIX} )
elseif (${LAYOUT} MATCHES "fhs")
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib/gemrb )
	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/gemrb )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/share/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	IF( NOT SYSCONF_DIR )
		if ( ${CMAKE_INSTALL_PREFIX} STREQUAL "/usr" )
			SET( SYSCONF_DIR /etc/gemrb )
		else ()
			SET( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc/gemrb )
		endif ()
	ENDIF( NOT SYSCONF_DIR )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/gemrb )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
elseif (${LAYOUT} MATCHES "opt")
	SET_PATH( LIB_DIR ${CMAKE_INSTALL_PREFIX}/lib )
	SET_PATH( PLUGIN_DIR ${LIB_DIR}/plugins )
	SET_PATH( DATA_DIR ${CMAKE_INSTALL_PREFIX}/share/ )
	SET_PATH( MAN_DIR ${CMAKE_INSTALL_PREFIX}/man/man6 )
	SET_PATH( BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin )
	SET_PATH( SYSCONF_DIR ${CMAKE_INSTALL_PREFIX}/etc )
	SET_PATH( DOC_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/gemrb )
	SET_PATH( ICON_DIR ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
	SET_PATH( SVG_DIR ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps )
	SET_PATH( MENU_DIR ${CMAKE_INSTALL_PREFIX}/share/applications )
	SET_PATH( EXAMPLE_CONF_DIR ${SYSCONF_DIR} )
else (${LAYOUT} MATCHES "bundle") # Mac or iOS
	SET(CMAKE_INSTALL_RPATH @loader_path/../Frameworks)
	SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE) 
	# most paths are irrelevant since the items will be bundled with application
	SET_PATH( BIN_DIR /Applications )
	# TODO: these should be copied during build and not install.
	SET_PATH( PLUGIN_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Plugins" )
	SET_PATH( DOC_DIR "${BIN_DIR}/${PROJECT_NAME}.app/Contents/Resources" )
	SET_PATH( LIB_DIR @loader_path/../Frameworks )
endif (${LAYOUT} MATCHES "home")

# check if this is a release version
execute_process(
	COMMAND echo ${GEMRB_VERSION}
	COMMAND grep -q git # cmake creates a pipe by itself
	RESULT_VARIABLE RC
	OUTPUT_QUIET
)
if(${RC} GREATER 0) # no match or error
	set (GIT_VERSION 0)
else()
	set (GIT_VERSION 1)
endif()

IF(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=cast-align")
	endif ()
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
	# only export symbols explicitly marked to be exported.
	INCLUDE(CheckCXXCompilerFlag)
	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" VISIBILITY_HIDDEN)
	IF (VISIBILITY_HIDDEN AND NOT WIN32)
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
	ENDIF ()
	if (WIN32)
		# GCC 4.5.0+ has shared libstdc++ without dllimport
		set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--enable-auto-import")
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--enable-auto-import")
	endif (WIN32)
	# Ensure all plugin symbols exist.
	if (NOT APPLE AND NOT UNSAFE_PLUGIN)
		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
	endif (NOT APPLE AND NOT UNSAFE_PLUGIN)
ENDIF()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

# Check for all the required and optional dependencies
IF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
	FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
ELSE((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
	INCLUDE(FindPythonLibs)
ENDIF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
IF(PYTHONLIBS_FOUND)
	MESSAGE(STATUS "Looking for Python libraries and headers: found")
ELSE()
	MESSAGE(SEND_ERROR "Looking for Python libraries and headers: not found!")
	MESSAGE(FATAL_ERROR "Please get them (www.python.org)")
ENDIF()

INCLUDE(FindSDL)
IF(SDL_FOUND)
	MESSAGE(STATUS "Looking for SDL1: found")
ELSE()
	MESSAGE(WARNING "Looking for SDL1: not found!")
ENDIF()

# look for sdl2 if sdl1 was not found or a preference was stated
IF(USE_SDL2 OR NOT SDL_FOUND)
	INCLUDE(FindSDL2)
ENDIF()
IF(SDL2_FOUND)
	MESSAGE(STATUS "Looking for SDL2: found")
	# unify SDL variables, so we don't have to differentiate later
	SET(SDL_INCLUDE_DIR ${SDL2_INCLUDE_DIR})
	SET(SDL_LIBRARY ${SDL2_LIBRARY})
	# skip SDL_FOUND for later use
ELSE()
	MESSAGE(WARNING "Looking for SDL2: not found!")
	IF(NOT SDL_FOUND)
		MESSAGE(FATAL_ERROR "Please get SDL from www.libsdl.org")
	ENDIF()
ENDIF()

IF(USE_OPENGL)
	IF(NOT SDL2_FOUND)
		MESSAGE(FATAL_ERROR "SDL2 is required for the OpenGL driver!")
	ENDIF()
	INCLUDE(FindOpenGL)
	IF(NOT OPENGL_FOUND)
		MESSAGE(FATAL_ERROR "OpenGL library not found!")
	ENDIF()

	IF(USE_OPENGL EQUAL 1)
		ADD_DEFINITIONS("-DUSE_GL")
		INCLUDE(FindGLEW)
		IF(GLEW_FOUND)
			MESSAGE(STATUS "Looking for Glew: found")
		ELSE()
			MESSAGE(SEND_ERROR "Looking for Glew: not found!")
			MESSAGE(FATAL_ERROR "Please install the Glew library and headers first!")
		ENDIF()
	ELSE()
		# use GLES instead of regular GL
		# TODO: check for all the stuff GLES needs
	ENDIF()
ENDIF()

INCLUDE(FindZLIB)
IF(ZLIB_FOUND)
	MESSAGE(STATUS "Looking for Zlib: found")
ELSE()
	MESSAGE(SEND_ERROR "Looking for Zlib: not found!")
	MESSAGE(FATAL_ERROR "Please install the Zlib library and headers first!")
ENDIF()

IF(UNIX)
	SET(CMAKE_THREAD_PREFER_PTHREAD true)
	FIND_PACKAGE(Threads REQUIRED)
ENDIF(UNIX)

INCLUDE(FindOpenAL)
IF(OPENAL_FOUND)
	MESSAGE(STATUS "Looking for OpenAL: found")
ELSE()
	MESSAGE(WARNING "Looking for OpenAL: not found!")
	MESSAGE(WARNING "If you want to build the OpenAL plugin, get OpenAL from www.openal.org.")
	MESSAGE(WARNING "If it just wasn't found, try setting the OPENALDIR environment variable.")
ENDIF()

IF(SDL2_FOUND)
	INCLUDE(FindSDL2_mixer)
	# unify variables, so we don't have to differentiate later
	SET(SDL_MIXER_INCLUDE_DIRS ${SDL2_MIXER_INCLUDE_DIRS})
	SET(SDL_MIXER_LIBRARIES ${SDL2_MIXER_LIBRARIES})
	SET(SDL_MIXER_VERSION_STRING ${SDL2_MIXER_VERSION_STRING})
	SET(SDL_MIXER_FOUND ${SDL2_MIXER_FOUND})
ELSE()
	INCLUDE(FindSDL_mixer)
ENDIF()
IF(SDLMIXER_FOUND)
	MESSAGE(STATUS "Looking for SDL_mixer: found")
ELSE()
	MESSAGE(WARNING "Looking for SDL_mixer: not found!")
	MESSAGE(WARNING "If you want to build the SDL_mixer plugin, install SDL_mixer first.")
	MESSAGE(WARNING "Make sure you use a version compatible with the chosen SDL version.")
ENDIF()

INCLUDE(FindLIBVLC)
IF(LIBVLC_FOUND)
	MESSAGE(STATUS "Looking for VLC: found")
ELSE()
	MESSAGE(WARNING "Looking for VLC: not found!")
	MESSAGE(WARNING "If you want to build the VLC plugin, install VLC first.")
ENDIF()

INCLUDE(FindFreetype)
IF(FREETYPE_FOUND)
	MESSAGE(STATUS "Looking for Freetype: found")
	INCLUDE(FindICONV)
	IF(NOT ICONV_FOUND)
		MESSAGE(WARNING "Iconv not found. TTF plugin will not be able to translate non-unicode compatible TLK encodings.")
	ELSE()
		set(HAVE_ICONV)
	ENDIF()
ELSE()
	MESSAGE(WARNING "Looking for Freetype: not found!")
	MESSAGE(WARNING "If you want to build the TTF plugin, install Freetype first.")
ENDIF()

INCLUDE(FindPNG)
IF(PNG_FOUND)
	MESSAGE(STATUS "Looking for libPNG: found")
ELSE()
	MESSAGE(WARNING "Looking for libPNG: not found!")
	MESSAGE(WARNING "GemRB will be built without any PNG support. Get it from www.libpng.org" )
	MESSAGE(WARNING "While no original game data is in PNG format, some mod data is and will need conversion.")
ENDIF()

FIND_LIBRARY(VORBIS_LIBRARY vorbisfile)
IF(VORBIS_LIBRARY)
	find_path(VORBIS_FILE vorbisfile.h PATH_SUFFIXES vorbis)
	IF(VORBIS_FILE)
		MESSAGE(STATUS "Looking for Ogg Vorbis support: found")
	ELSE()
		unset(VORBIS_LIBRARY) # disable the build for this plugin
	ENDIF()
ENDIF()
IF(NOT VORBIS_LIBRARY)
	MESSAGE(WARNING "Looking for Ogg Vorbis support: not found!")
	MESSAGE(WARNING "While no original game data is in OGG format, some mod data is and will need conversion.")
ENDIF()

# On Release builds cmake automatically defines NDEBUG, so we
# explicitly undefine it:
# This matches stripped (Release) and nonstripped (RelWithDebInfo) builds
if(CMAKE_BUILD_TYPE MATCHES "Rel.*" AND NOT MSVC)
	ADD_DEFINITIONS("-UNDEBUG")
endif()

if (STATIC_LINK)
	if (NOT WIN32)
		ADD_DEFINITIONS("-DSTATIC_LINK")
	else (NOT WIN32)
		unset(STATIC_LINK CACHE)
		MESSAGE(STATUS "Static linking not (yet) supported on this platform.")
	endif (NOT WIN32)
endif (STATIC_LINK)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} gemrb/includes gemrb/core)

# generate config.h
INCLUDE (config)

IF(APPLE)
	# Make sure we can find the 'ibtool' program. we need it to compile xibs
	find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
	IF (${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")
  		MESSAGE (FATAL_ERROR "ibtool can not be found and is needed to compile the .xib files. It should have been installed with 
                    the Apple developer tools. The default system paths were searched in addition to ${OSX_DEVELOPER_ROOT}/usr/bin")
	ENDIF ()

=== gemrb/CMakeLists.txt ===
ADD_SUBDIRECTORY( core )

# GUIScripts and override go directly in the bundle
SET(RESOURCE_LIST "GUIScripts" "override" "unhardcoded")
SET(RESOURCE_FILES "")

FOREACH(RESOURCE_DIR_NAME ${RESOURCE_LIST})
	SET(RESOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/${RESOURCE_DIR_NAME}")
	IF (APPLE)
		FILE(GLOB CHILDREN RELATIVE "${RESOURCE_DIR}" ${RESOURCE_DIR}/*)
		FOREACH(CHILD ${CHILDREN})
			IF(IS_DIRECTORY "${RESOURCE_DIR}/${CHILD}")
				# be wary of .DS_Store files. glob them out by using [A-Za-z]*.*
				FILE(GLOB RESOURCE_DIR_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${RESOURCE_DIR}/${CHILD}/[A-Za-z]*.*")
				SET_SOURCE_FILES_PROPERTIES(
					${RESOURCE_DIR_FILES}
					PROPERTIES MACOSX_PACKAGE_LOCATION Resources/${RESOURCE_DIR_NAME}/${CHILD}
				)
				SET(RESOURCE_FILES ${RESOURCE_FILES} ${RESOURCE_DIR_FILES})
			ELSE()
				IF (NOT ${CHILD} MATCHES "\\.DS_Store|.*\\.am")
					SET_SOURCE_FILES_PROPERTIES(
						"${RESOURCE_DIR}/${CHILD}"
						PROPERTIES MACOSX_PACKAGE_LOCATION Resources/${RESOURCE_DIR_NAME}
					)
					SET(RESOURCE_FILES ${RESOURCE_FILES} "${RESOURCE_DIR_NAME}/${CHILD}")
				ENDIF()
			ENDIF()
		ENDFOREACH()
	ELSE (APPLE)
		INSTALL( DIRECTORY ${RESOURCE_DIR} DESTINATION "${DATA_DIR}" PATTERN "*.am" EXCLUDE)
	ENDIF (APPLE)
ENDFOREACH()

IF(APPLE) #application bundle generation
	# icon
	SET_SOURCE_FILES_PROPERTIES(
		../artwork/gemrb.icns
		PROPERTIES MACOSX_PACKAGE_LOCATION Resources
	)

	# default values
	SET_SOURCE_FILES_PROPERTIES(
		../apple/defaults.plist
		PROPERTIES MACOSX_PACKAGE_LOCATION Resources
	)

	SET(MACOSX_BUNDLE_ICON_FILE gemrb)
	ADD_EXECUTABLE(gemrb MACOSX_BUNDLE ../apple/CocoaWrapper/mac/CocoaWrapper.mm ../apple/AppleLogger.mm ../apple/EmptyStringTransformer.m
					../artwork/gemrb.icns ../apple/defaults.plist
					${RESOURCE_FILES})
	SET (BUNDLE_LOADER "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/MacOS/${PROJECT_NAME}") # BUNDLE_LOADER is used by plugins needing to extend the cocoa wrapper (SDLVideo).
	SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -bundle_loader \"${BUNDLE_LOADER}\"")
ELSE(APPLE)
	ADD_SUBDIRECTORY( docs )
	ADD_SUBDIRECTORY( tests )

	ADD_EXECUTABLE(gemrb GemRB.cpp )

	INSTALL( FILES "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample" GemRB.cfg.noinstall.sample DESTINATION ${EXAMPLE_CONF_DIR} )
ENDIF(APPLE)

# we need to add gemrb target before processing plugins or COCOA plugins don't work right.
ADD_SUBDIRECTORY( plugins )

SET_TARGET_PROPERTIES(gemrb PROPERTIES INSTALL_RPATH ${LIB_DIR})
INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} )
IF(WIN32)
 TARGET_LINK_LIBRARIES(gemrb gemrb_core)
ELSE(WIN32)
 IF(APPLE)
	# custom info.plist
	SET_TARGET_PROPERTIES(gemrb PROPERTIES MACOSX_BUNDLE_INFO_PLIST ../../apple/osx/Info.plist OUTPUT_NAME GemRB)

	# compile nib
	ADD_CUSTOM_COMMAND (TARGET gemrb POST_BUILD 
                      COMMAND ${IBTOOL} --errors --warnings --notices --output-format human-readable-text 
                              --compile ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.app/Contents/Resources/GemRB.nib 
                            ../../apple/CocoaWrapper/mac/nibs/GemRB.xib
                      COMMENT "Compiling GemRB.xib")

	if (STATIC_LINK)
		TARGET_LINK_LIBRARIES(gemrb
			  ${COCOA_LIBRARY_PATH} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT}
			 gemrb_core ${plugins}  -Wl,-all_load)
	else (STATIC_LINK)
		TARGET_LINK_LIBRARIES(gemrb gemrb_core
			  ${COCOA_LIBRARY_PATH} ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})
	endif (STATIC_LINK)
 ELSE(APPLE)
  if (STATIC_LINK)
	  TARGET_LINK_LIBRARIES(gemrb ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT}
		  -Wl,--whole-archive gemrb_core ${plugins} -Wl,--no-whole-archive)
  else (STATIC_LINK)
	  TARGET_LINK_LIBRARIES(gemrb gemrb_core ${CMAKE_DL_LIBS} ${CMAKE_THREAD_LIBS_INIT})
  endif (STATIC_LINK)
 ENDIF(APPLE)
ENDIF(WIN32)

# preconfigure the sample config with the selected paths
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/GemRB.cfg.sample.in"
  "${CMAKE_CURRENT_BINARY_DIR}/GemRB.cfg.sample"
  IMMEDIATE @ONLY
)

INSTALL( TARGETS gemrb DESTINATION ${BIN_DIR} )

=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
 	TileOverlay.cpp
 	TileSetMgr.cpp
 	Variables.cpp
+	VEFObject.cpp
 	Video.cpp
 	WindowMgr.cpp
 	WorldMap.cpp
@@ -151,12 +152,9 @@
 	ENDIF(WIN32)
 endif (STATIC_LINK)
 
-SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
-	COMPILE_DEFINITIONS
-	"PLUGINDIR=\"${PLUGIN_DIR}\";DATADIR=\"${DATA_DIR}\";SYSCONFDIR=\"${SYSCONF_DIR}\""
-	)
-
 IF (APPLE)
 	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
-	INSTALL_NAME_DIR ${LIB_DIR})
+	INSTALL_NAME_DIR ${LIB_DIR}
+	LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/gemrb/${PROJECT_NAME}.app/Contents/Frameworks
+)
 ENDIF (APPLE)

=== gemrb/plugins/AREImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (AREImporter AREImporter.cpp)

=== gemrb/plugins/BAMImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (BAMImporter BAMImporter.cpp BAMFontManager BAMFont.cpp BAMSprite2D.cpp)

=== gemrb/plugins/BIKPlayer/CMakeLists.txt ===
ADD_GEMRB_PLUGIN ( BIKPlayer BIKPlayer.cpp dct.cpp fft.cpp GetBitContext.cpp mem.cpp rational.cpp rdft.cpp )

=== gemrb/plugins/SDLAudio/CMakeLists.txt ===
IF (SDLMIXER_LIBRARY)
	INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR})

	ADD_GEMRB_PLUGIN (SDLAudio SDLAudio.cpp )
	TARGET_LINK_LIBRARIES( SDLAudio ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} )
ENDIF (SDLMIXER_LIBRARY)

=== gemrb/plugins/SDLVideo/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${SDL_INCLUDE_DIR} )

SET(COMMON_FILES COCOA SDLVideo.cpp SDLSurfaceSprite2D.cpp)
IF(SDL2_FOUND)
	IF(USE_OPENGL)
		ADD_GEMRB_PLUGIN( SDLVideo ${COMMON_FILES} SDL20Video.cpp SDL20GLVideo.cpp GLSLProgram.cpp Matrix.cpp GLTextureSprite2D.cpp GLPaletteManager.cpp)
		TARGET_LINK_LIBRARIES( SDLVideo ${SDL_LIBRARY} ${OPENGL_LIBRARY} ${GLEW_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${COCOA_LIBRARY_PATH})
		FILE(COPY Shaders DESTINATION ${CMAKE_BINARY_DIR})
	ELSE()
		ADD_GEMRB_PLUGIN( SDLVideo ${COMMON_FILES} SDL20Video.cpp)
		TARGET_LINK_LIBRARIES( SDLVideo ${SDL_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${COCOA_LIBRARY_PATH})
	ENDIF()
ELSE()
	ADD_GEMRB_PLUGIN (SDLVideo ${COMMON_FILES} SDL12Video.cpp)
	TARGET_LINK_LIBRARIES( SDLVideo ${SDL_LIBRARY} ${CMAKE_THREAD_LIBS_INIT} ${COCOA_LIBRARY_PATH})
ENDIF()

=== gemrb/plugins/TLKImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (TLKImporter TLKImporter.cpp TlkOverride.cpp)

=== debian/changelog ===
gemrb (0.8.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.1
  * Remove libvlccore-dev Build-Depends. (Closes: #759261)
  * Fix GemRB default paths to match the Debian package split between plugins
    in /usr/lib/gemrb and arch-independent files in /usr/share/gemrb.
  * Add a README file with some hints regarding the configuration of GemRB and
    installation of the game's data. (Closes: #755841)
  * Remove deprecated python-support dependency.
  * Replace libsdl1.2 dependency with libsdl2.
  * Increase Standards-Version to 3.9.5.

 -- Beren Minor <beren.minor+debian@gmail.com>  Thu, 14 Aug 2014 22:20:32 +0200

=== debian/control ===
Source: gemrb
Section: contrib/games
Priority: optional
Maintainer: Beren Minor <beren.minor+debian@gmail.com>
Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
 libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
 libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
Standards-Version: 3.9.5
Homepage: http://www.gemrb.org/
Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gemrb.git

Package: gemrb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, gemrb-data (=${source:Version}), libgemrb (=${binary:Version})
Recommends: innoextract
Description: Open-source engine to run Baldur's Gate, Icewind Dale and Planescape: Torment
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 It means that you either need some of the original game's data
 somewhere on your harddisk, or you can try to use the data from the
 Dragonlance Total Conversion project.
 .
 The original game data has to be installed on a windows
 partition and mounted to your Linux/Unix filesystem, installed on
 windows and then copied to your filesystem, installed with WINE or
 extracted manually from the CDs using the tool `unshield'.
 .
 Supported games: Baldur's Gate and Icewind Dale series, Planescape:Torment.

Package: libgemrb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries and plugins for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains GemRB core shared libraries and plugins.


Package: gemrb-doc
Section: contrib/doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains documentation about GemRB and how to write custom games.

Package: gemrb-data
Architecture: all
Depends: ${misc:Depends}
Description: Common data files for GemRB
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files used across all supported games.


Package: gemrb-baldurs-gate-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Baldur's Gate game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Baldur's Gate game.

Package: gemrb-baldurs-gate
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-baldurs-gate-data (=${source:Version})
Description: GemRB binary and configuration for Baldur's Gate game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Baldur's Gate game.


Package: gemrb-baldurs-gate-2-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Baldur's Gate 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Baldur's Gate 2 game.

Package: gemrb-baldurs-gate-2
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-baldurs-gate-2-data (=${source:Version})
Description: GemRB binary and configuration for Baldur's Gate 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Baldur's Gate 2 game.


Package: gemrb-icewind-dale-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Icewind Dale game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Icewind Dale game.

Package: gemrb-icewind-dale
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-icewind-dale-data (=${source:Version})
Description: GemRB binary and configuration for Icewind Dale game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Icewind Dale game.


Package: gemrb-icewind-dale-2-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Icewind Dale 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Icewind Dale 2 game.

Package: gemrb-icewind-dale-2
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-icewind-dale-2-data (=${source:Version})
Description: GemRB binary and configuration for Icewind Dale 2 game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Icewind Dale 2 game.


Package: gemrb-planescape-torment-data
Architecture: all
Depends: ${misc:Depends}, gemrb-data (=${source:Version})
Description: GemRB data files for Planescape: Torment game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains data files for Planescape: Torment game.

Package: gemrb-planescape-torment
Architecture: any
Depends: ${misc:Depends}, gemrb (=${binary:Version}), gemrb-planescape-torment-data (=${source:Version})
Description: GemRB binary and configuration for Planescape: Torment game
 GemRB (Game Engine Made with preRendered Background) is a new implementation
 of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,
 Planescape: Torment, ...) to Linux/Unix, MacOS X and Windows with some
 enhancements.
 .
 This package contains configuration sample and binary for Planescape: Torment
 game.

## gemrb 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,16 +28,15 @@
 
 PROJECT(gemrb)
 # try to extract the version from the source
-execute_process(
-	COMMAND sed -n "s/\#define VERSION_GEMRB .\\([^\"]*\\).$/\\1/p" ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h
-	OUTPUT_VARIABLE GEMRB_VERSION
-	RESULT_VARIABLE RC
-	OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-if(${RC} GREATER 0) # lookup failed
+FILE(READ ${CMAKE_CURRENT_SOURCE_DIR}/gemrb/includes/globals.h GLOBALS)
+SET(GEMRB_VERSION "")
+STRING(REGEX MATCH "define VERSION_GEMRB .([^\"]*)" GEMRB_VERSION "${GLOBALS}")
+STRING(REGEX REPLACE "define VERSION_GEMRB .([^\"]*)$" "\\1" GEMRB_VERSION "${GEMRB_VERSION}")
+if(GEMRB_VERSION STREQUAL "") # lookup failed
 	set(GEMRB_VERSION "unknown")
-endif(${RC} GREATER 0)
+endif()
 message("Detected version: ${GEMRB_VERSION}")
+unset(GLOBALS)
 
 IF(PREFIX)
 	SET(PREFIX CACHE PATH "Abbreviation for CMAKE_INSTALL_PREFIX.")
@@ -119,29 +118,32 @@
 endif (${LAYOUT} MATCHES "home")
 
 # check if this is a release version
-execute_process(
-	COMMAND echo ${GEMRB_VERSION}
-	COMMAND grep -q git # cmake creates a pipe by itself
-	RESULT_VARIABLE RC
-	OUTPUT_QUIET
-)
-if(${RC} GREATER 0) # no match or error
+SET(RC "")
+STRING(REGEX MATCH "-git$" RC ${GEMRB_VERSION})
+if(RC STREQUAL "")
 	set (GIT_VERSION 0)
 else()
 	set (GIT_VERSION 1)
 endif()
+MESSAGE("Git version bool: ${GIT_VERSION}")
 
 IF(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
 	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
-		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=cast-align")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=inline -Wno-error=cast-align -Wmissing-declarations -Winline")
 	endif ()
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
+	# mark chars explicitly signed (ARM defaults to unsigned)
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsigned-char")
 	# only export symbols explicitly marked to be exported.
 	INCLUDE(CheckCXXCompilerFlag)
 	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" VISIBILITY_HIDDEN)
 	IF (VISIBILITY_HIDDEN AND NOT WIN32)
 		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+	ENDIF ()
+	CHECK_CXX_COMPILER_FLAG("-fno-stack-protector" STACK_PROTECTOR)
+	IF (STACK_PROTECTOR)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-stack-protector")
 	ENDIF ()
 	if (WIN32)
 		# GCC 4.5.0+ has shared libstdc++ without dllimport
@@ -152,16 +154,14 @@
 	if (NOT APPLE AND NOT UNSAFE_PLUGIN)
 		set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined")
 	endif (NOT APPLE AND NOT UNSAFE_PLUGIN)
+	# GNU systems need to define the Mersenne exponent for the RNG to compile w/o warning
+	ADD_DEFINITIONS("-DSFMT_MEXP=19937")
 ENDIF()
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
 
 # Check for all the required and optional dependencies
-IF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
-	FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
-ELSE((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
-	INCLUDE(FindPythonLibs)
-ENDIF((CMAKE_MAJOR_VERSION GREATER 1) AND (CMAKE_MINOR_VERSION GREATER 7))
+FIND_PACKAGE(PythonLibs 2.3 REQUIRED)
 IF(PYTHONLIBS_FOUND)
 	MESSAGE(STATUS "Looking for Python libraries and headers: found")
 ELSE()
@@ -249,7 +249,7 @@
 ELSE()
 	INCLUDE(FindSDL_mixer)
 ENDIF()
-IF(SDLMIXER_FOUND)
+IF(SDL_MIXER_FOUND)
 	MESSAGE(STATUS "Looking for SDL_mixer: found")
 ELSE()
 	MESSAGE(WARNING "Looking for SDL_mixer: not found!")
@@ -327,7 +327,3 @@
 	# Make sure we can find the 'ibtool' program. we need it to compile xibs
 	find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
 	IF (${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")
-  		MESSAGE (FATAL_ERROR "ibtool can not be found and is needed to compile the .xib files. It should have been installed with 
-                    the Apple developer tools. The default system paths were searched in addition to ${OSX_DEVELOPER_ROOT}/usr/bin")
-	ENDIF ()
-

=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -118,6 +118,8 @@
 	GUI/TextEdit.cpp
 	GUI/Window.cpp
 	GUI/WorldMapControl.cpp
+	RNG/RNG_SFMT.cpp
+	RNG/sfmt/SFMT.c
 	Scriptable/Actor.cpp
 	Scriptable/CombatInfo.cpp
 	Scriptable/Container.cpp
@@ -152,6 +154,12 @@
 	ENDIF(WIN32)
 endif (STATIC_LINK)
 
+# make lintian happy
+SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
+	VERSION "${GEMRB_VERSION}"
+	SOVERSION "${GEMRB_VERSION}"
+)
+
 IF (APPLE)
 	SET_TARGET_PROPERTIES(gemrb_core PROPERTIES
 	INSTALL_NAME_DIR ${LIB_DIR}

=== debian/changelog ===
gemrb (0.8.2-1) unstable; urgency=medium

  * Imported Upstream version 0.8.2
  * Increase Standards-Version to 3.9.6.
  * Updated copyright information for SFMT.
  * Updated copyright year for debian files.

 -- Beren Minor <beren.minor+debian@gmail.com>  Fri, 02 Jan 2015 01:08:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
  libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
  libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gemrb.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/gemrb.git

## gemrb 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -129,9 +129,13 @@
 
 IF(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
 	if ((NOT DISABLE_WERROR) AND GIT_VERSION)
-		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=inline -Wno-error=cast-align -Wmissing-declarations -Winline")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=inline -Wno-error=cast-align -Wmissing-declarations")
+		if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
+			# clang ignores -Wno-error
+			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wcast-align -Winline")
+		endif ()
 	endif ()
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith -Wcast-align")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -W -Wpointer-arith ")
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic -Wno-format-y2k -Wno-long-long -fno-strict-aliasing")
 	# mark chars explicitly signed (ARM defaults to unsigned)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsigned-char")
@@ -325,5 +329,3 @@
 
 IF(APPLE)
 	# Make sure we can find the 'ibtool' program. we need it to compile xibs
-	find_program(IBTOOL ibtool HINTS "/usr/bin" "${OSX_DEVELOPER_ROOT}/usr/bin")
-	IF (${IBTOOL} STREQUAL "IBTOOL-NOTFOUND")

=== apple/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)

set(CMAKE_CURRENT_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../")
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

INCLUDE (config)

=== gemrb/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # GUIScripts and override go directly in the bundle
 SET(RESOURCE_LIST "GUIScripts" "override" "unhardcoded")
+IF (USE_OPENGL)
+	LIST(APPEND RESOURCE_LIST "plugins/SDLVideo/Shaders")
+ENDIF()
 SET(RESOURCE_FILES "")
 
 FOREACH(RESOURCE_DIR_NAME ${RESOURCE_LIST})

=== gemrb/core/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	Bitmap.cpp
 	Cache.cpp
 	Calendar.cpp
-	Callback.cpp
 	CharAnimations.cpp
 	Compressor.cpp
 	ControlAnimation.cpp
@@ -35,7 +34,6 @@
 	Factory.cpp
 	FactoryObject.cpp
 	FileCache.cpp
-	Font.cpp
 	FontManager.cpp
 	Game.cpp
 	GameData.cpp
@@ -116,6 +114,9 @@
 	GUI/Slider.cpp
 	GUI/TextArea.cpp
 	GUI/TextEdit.cpp
+	GUI/TextSystem/Font.cpp
+	GUI/TextSystem/GemMarkup.cpp
+	GUI/TextSystem/TextContainer.cpp
 	GUI/Window.cpp
 	GUI/WorldMapControl.cpp
 	RNG/RNG_SFMT.cpp

=== gemrb/docs/CMakeLists.txt ===
ADD_SUBDIRECTORY( en )

=== gemrb/plugins/BMPImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (BMPImporter BMPImporter.cpp)

=== gemrb/plugins/GUIScript/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
ADD_GEMRB_PLUGIN (GUIScript GUIScript.cpp PythonHelpers.cpp)
TARGET_LINK_LIBRARIES(GUIScript ${PYTHON_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${CMAKE_DL_LIBS})

=== gemrb/plugins/KEYImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (KEYImporter KEYImporter.cpp)

=== gemrb/plugins/PLTImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (PLTImporter PLTImporter.cpp)

=== gemrb/plugins/PNGImporter/CMakeLists.txt ===
IF(PNG_FOUND)
INCLUDE_DIRECTORIES( ${PNG_INCLUDE_DIR} )
ADD_GEMRB_PLUGIN (PNGImporter PNGImporter.cpp)
TARGET_LINK_LIBRARIES( PNGImporter ${PNG_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} )
ENDIF( PNG_FOUND )

=== gemrb/plugins/SDLVideo/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,8 @@
 	IF(USE_OPENGL)
 		ADD_GEMRB_PLUGIN( SDLVideo ${COMMON_FILES} SDL20Video.cpp SDL20GLVideo.cpp GLSLProgram.cpp Matrix.cpp GLTextureSprite2D.cpp GLPaletteManager.cpp)
 		TARGET_LINK_LIBRARIES( SDLVideo ${SDL_LIBRARY} ${OPENGL_LIBRARY} ${GLEW_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${COCOA_LIBRARY_PATH})
+		# Shaders are installed in gemrb/CMakeLists.txt for better mac compatibility
+		# also copy to the build dir for no-install runs
 		FILE(COPY Shaders DESTINATION ${CMAKE_BINARY_DIR})
 	ELSE()
 		ADD_GEMRB_PLUGIN( SDLVideo ${COMMON_FILES} SDL20Video.cpp)

=== gemrb/plugins/WEDImporter/CMakeLists.txt ===
ADD_GEMRB_PLUGIN (WEDImporter WEDImporter.cpp)

=== debian/changelog ===
gemrb (0.8.3-1) unstable; urgency=medium

  * Imported Upstream version 0.8.3
  * Add dh-python to Build-Depends.
  * Remove deprecated menu files.
  * Update lintian-overrides for hardening-no-fortify-functions false-positives.
  * Update copyright dates.
  * Add game-data-packager and lgogdownloader to Recommends.
  * Change default lookup path to /usr/share/gemrb/... in the /etc/gemrb
    configuration files.
  * Mention game-data-packager support in README.Debian. (Closes: #802951)

 -- Beren Minor <beren.minor+debian@gmail.com>  Mon, 23 Nov 2015 20:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Beren Minor <beren.minor+debian@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, python-dev, libsdl2-dev,
  libsdl2-mixer-dev, libz-dev, libopenal-dev, libpng-dev,
- libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev
+ libogg-dev, libvorbis-dev, libvlc-dev, libglew-dev, libfreetype6-dev,
+ dh-python
 Standards-Version: 3.9.6
 Homepage: http://www.gemrb.org/
 Vcs-Git: git://anonscm.debian.org/pkg-games/gemrb.git
@@ -13,7 +14,7 @@
 Package: gemrb
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, python, gemrb-data (=${source:Version}), libgemrb (=${binary:Version})
-Recommends: innoextract
+Recommends: game-data-packager, innoextract, lgogdownloader
 Description: Open-source engine to run Baldur's Gate, Icewind Dale and Planescape: Torment
  GemRB (Game Engine Made with preRendered Background) is a new implementation
  of the original Infinity Engine (the one of Baldur's Gate, Icewind Dale,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SDL2=1 -DUSE_OPENGL=1

=== debian/watch ===
version=3
https://github.com/gemrb/gemrb/tags .*/archive/v(\d[\d\.]+).tar.gz
